aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLoïc Hoguin <[email protected]>2015-06-17 20:46:55 +0200
committerLoïc Hoguin <[email protected]>2015-06-17 20:46:55 +0200
commit7e042a3e60850bf8ab96d7766a92f66172e861c4 (patch)
tree9c07d186f9ea3d4644865872c664a43b4ec402b6
parentaff5c09441185af2b8249aae312d6e85f53479c6 (diff)
downloaderlang.mk-7e042a3e60850bf8ab96d7766a92f66172e861c4.tar.gz
erlang.mk-7e042a3e60850bf8ab96d7766a92f66172e861c4.tar.bz2
erlang.mk-7e042a3e60850bf8ab96d7766a92f66172e861c4.zip
Add RABBITMQ_CLIENT_PATCH to make upstream amqp_client work
While this is not quite "just work" due to other packages depending on a forked off rabbitmq, this is still pretty good as it actually makes it work and still leaves a choice between upstream and the fork. Hopefully people will start to use upstream but you know how these things tend to go.
-rw-r--r--core/deps.mk8
-rw-r--r--test/Makefile10
2 files changed, 16 insertions, 2 deletions
diff --git a/core/deps.mk b/core/deps.mk
index d6081da..de2b168 100644
--- a/core/deps.mk
+++ b/core/deps.mk
@@ -528,7 +528,13 @@ endif
cd $(DEPS_DIR)/$(1) && ./configure; \
fi
ifeq ($(filter $(1),$(NO_AUTOPATCH)),)
- @$(call dep_autopatch,$(1))
+ @if [ "$(RABBITMQ_CLIENT_PATCH)" ]; then \
+ echo " PATCH Downloading extra RabbitMQ repositories..."; \
+ git clone https://github.com/rabbitmq/rabbitmq-codegen.git $(DEPS_DIR)/rabbitmq-codegen; \
+ git clone https://github.com/rabbitmq/rabbitmq-server.git $(DEPS_DIR)/rabbitmq-server; \
+ else \
+ $(call dep_autopatch,$(1)) \
+ fi
endif
endef
diff --git a/test/Makefile b/test/Makefile
index f298113..0d85e72 100644
--- a/test/Makefile
+++ b/test/Makefile
@@ -234,7 +234,15 @@ pkg-$(1): pkg-$(1)-clean pkg-$(1)-app1
> app1/Makefile
cp ../packages.v2.tsv app1/.erlang.mk.packages.v2
$t \
- $(MAKE) -C app1; if [ $$$$? -ne 0 ]; then \
+ if [ "$(1)" = "amqp_client" ]; then \
+ virtualenv -p /usr/bin/python2.7 --distribute temp-python; \
+ source temp-python/bin/activate; \
+ $(MAKE) -C app1 RABBITMQ_CLIENT_PATCH=1; \
+ deactivate; \
+ else \
+ $(MAKE) -C app1; \
+ fi; \
+ if [ $$$$? -ne 0 ]; then \
echo "$(1): make error" >> pkgs.log; \
else \
$(MAKE) -C app1; if [ $$$$? -ne 0 ]; then \